<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Accordion?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.control.SplitPane?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.control.TitledPane?>
<?import javafx.scene.control.ToolBar?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.VBox?>

<AnchorPane id="AnchorPane" prefHeight="600.0" prefWidth="800.0" xmlns="http://javafx.com/javafx/8.0.65" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.exabit.dpromo.clientes.ClientesController">
   <children>
      <ToolBar layoutY="7.0" prefHeight="40.0" prefWidth="200.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
        <items>
            <Button fx:id="btnGuardarCliente" mnemonicParsing="false" onAction="#onActionBtnGuardarCliente" text="Registrar" />
            <Button fx:id="btnEliminarCliente" mnemonicParsing="false" onAction="#onActionBtnEliminarCliente" text="Eliminar" />
          <Button fx:id="btnNuevoCliente" mnemonicParsing="false" onAction="#onActionBtnNuevo" text="Nuevo" />
        </items>
      </ToolBar>
      <SplitPane dividerPositions="0.6395939086294417" layoutX="14.0" layoutY="50.0" prefHeight="160.0" prefWidth="200.0" AnchorPane.bottomAnchor="5.0" AnchorPane.leftAnchor="5.0" AnchorPane.rightAnchor="5.0" AnchorPane.topAnchor="48.0">
        <items>
          <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="160.0" prefWidth="100.0">
               <children>
                  <TextField fx:id="txfBusarClientes" layoutX="23.0" layoutY="14.0" prefHeight="26.0" prefWidth="456.0" AnchorPane.leftAnchor="30.0" AnchorPane.rightAnchor="5.0" AnchorPane.topAnchor="5.0" />
                  <TableView fx:id="tblClientes" layoutX="14.0" layoutY="40.0" prefHeight="200.0" prefWidth="200.0" AnchorPane.bottomAnchor="5.0" AnchorPane.leftAnchor="5.0" AnchorPane.rightAnchor="5.0" AnchorPane.topAnchor="40.0">
                    <columns>
                      <TableColumn fx:id="colCodigoCliente" prefWidth="89.0" text="Código" />
                      <TableColumn fx:id="colNombresCliente" prefWidth="108.0" text="Nombres" />
                        <TableColumn fx:id="colApellidosCliente" prefWidth="103.0" text="Apellidos" />
                        <TableColumn fx:id="colCiCliente" prefWidth="104.0" text="C.I." />
                    </columns>
                  </TableView>
                  <ImageView fx:id="imgvBuscar" fitHeight="16.0" fitWidth="16.0" pickOnBounds="true" preserveRatio="true" AnchorPane.leftAnchor="8.0" AnchorPane.topAnchor="10.0" />
               </children></AnchorPane>
          <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="160.0" prefWidth="100.0">
               <children>
                  <Accordion fx:id="accPrincipalClientes" layoutX="14.0" layoutY="58.0" prefHeight="457.0" prefWidth="296.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="60.0">
                    <panes>
                      <TitledPane fx:id="tpaneDatosPrinc" animated="false" prefHeight="425.0" prefWidth="296.0" text="Datos">
                           <content>
                              <ScrollPane fitToWidth="true" prefHeight="200.0" prefWidth="200.0">
                                 <content>
                                    <VBox fx:id="vboxDatosPrinc" prefWidth="100.0" spacing="5.0">
                                       <children>
                                          <Label text="Nombres" />
                                          <TextField fx:id="txfNombresCliente" />
                                          <Label text="Apellidos" />
                                          <TextField fx:id="txfApellidosCliente" />
                                          <Label text="C.I. / Nro. Documento" />
                                          <TextField fx:id="txfCiCliente" />
                                          <Label text="Ciudad" />
                                          <ComboBox fx:id="cmbCiudadCliente" prefHeight="26.0" prefWidth="288.0" />
                                       </children>
                                       <padding>
                                          <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                                       </padding>
                                    </VBox>
                                 </content>
                              </ScrollPane>
                           </content>
                      </TitledPane>
                      <TitledPane fx:id="tpaneDatosExtras" animated="false" text="Datos Extras">
                           <content>
                              <ScrollPane fitToWidth="true" prefHeight="200.0" prefWidth="200.0">
                                 <content>
                                    <VBox prefHeight="200.0" prefWidth="100.0" spacing="5.0">
                                       <children>
                                          <Label text="Dirección" />
                                          <TextField fx:id="txfDireccionCliente" />
                                          <Label text="Teléfono" />
                                          <TextField fx:id="txfTelefonoCliente" />
                                          <Label text="Celular" />
                                          <TextField fx:id="txfCelularCliente" />
                                          <Label text="Email" />
                                          <TextField fx:id="txfEmailCliente" />
                                       </children>
                                       <padding>
                                          <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                                       </padding>
                                    </VBox>
                                 </content>
                              </ScrollPane>
                           </content>
                      </TitledPane>
                    </panes>
                  </Accordion>
                  <Label layoutY="6.0" text="Código" AnchorPane.leftAnchor="5.0" AnchorPane.topAnchor="5.0" />
                  <TextField fx:id="txfCodigoCliente" disable="true" layoutX="5.0" layoutY="21.0" AnchorPane.leftAnchor="5.0" AnchorPane.rightAnchor="5.0" AnchorPane.topAnchor="25.0" />
               </children></AnchorPane>
        </items>
      </SplitPane>
   </children>
</AnchorPane>
